QGIS Application - Feature request #9000
add option to allow marker line symbology start not at the beginning of the line
2013-11-04 09:42 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17657
Description

This is sometimes useful when doing advanced symbology, for example when you need symbols on both sides of the line, but not in the
same place, or when you need a symbol that must show where are the dashes of a line. See the following picture

https://issues.qgis.org/attachments/7186/fig_01_siepe_e_muro_a_secco.png

as there is the offset to allow place the markers on one side of the line, an offset to start after the beginning of the line would be needed.

To notice that the X offset that is possible to define of the markers does not solve the issue:

+) if the option "rotate marker" is not active, the offeset will result in an horizontal shift

+) if the option "rotate marker" is active, the result is similar to the one requested, the problem is that the shift does not take into account
the line bends, resulting in errors

see the following images

https://issues.qgis.org/attachments/7184/fig_02_traslazione_orizzontale.png

https://issues.qgis.org/attachments/7185/fig_03_traslazione_orientata.png

Related issues:
Related to QGIS Application - Feature request # 1772: Allow individual stroke... Closed

Associated revisions

Revision 26c6435a - 2014-05-04 01:57 PM - Nyall Dawson

[FEATURE] Add option for shifting markers in marker line style a set distance along the line. Supports delaying the start of markers placed at intervals, or
placing markers a set distance before/after the first/last vertex (fix #9000)

History

#1 - 2013-11-04 09:46 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have
- Tracker changed from Bug report to Feature request
- Category set to Symbology

#2 - 2014-05-04 05:09 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"26c6435a85b9360ad7f4e38c7878d8d8f38c908b".
#3 - 2014-05-04 06:53 AM - Andreas Neumann

Thank you - this also fixes my 5 year old feature wish about stroke-dashoffset: #1772

#4 - 2014-05-08 05:01 AM - Giovanni Manghi

- File fig_02_traslazione_orizzontale.png added

- File fig_03_traslazione_orientata.png added

#5 - 2014-05-08 05:04 AM - Giovanni Manghi

- File fig_01_siepe_e_muro_a_secco.png added
